info:
  idsid: urn:ids:tsg:euh4d:training:connectors:Provider
  curator: urn:ids:tsg:euh4d:training:participants:TSG-Testbed
  maintainer: urn:ids:tsg:euh4d:training:participants:TSG-Testbed
  titles:
    - Data Provider
  descriptions:
    - Data Provider
  accessUrl:
    - http://data-provider-tsg-connector:8080/router

keystore:
  pem:
    cert: file:/secrets/idsidentity/ids.crt
    key: file:/secrets/idsidentity/ids.key
  type: PEM

truststore:
  pem:
    chain: file:/secrets/idsidentity/ca.crt
  type: PEM
  
daps:
  url: http://daps:8080/v2

broker:
  id: urn:ids:tsg:euh4d:training:connectors:MetadataBroker
  address: http://broker-tsg-connector:8080/infrastructure
  autoRegister: true

routes:
  egress:
    http:
    - endpoint: https_out
      listenPort: 8080

security:
  users:
    - id: admin
      password: $2a$10$rSki.ogyV/eON.v/o9dJFOGSK9XkxTw1g1oC1bxuFux56a7LzH4.6
      roles:
        - ADMIN
  apiKeys:
    - id: default
      key: APIKEY-ABCDEF123456
      roles:
        - DATA_APP
        - PEF_MANAGER